---
type: api
title: Delete output
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-delete-fleet-outputs-outputid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-delete-fleet-outputs-outputid
products:
  - Kibana
---

# Delete output

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/fleet/outputs/{outputId}`
- `DELETE` `/s/{space_id}/api/fleet/outputs/{outputId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

#### Path Parameters

- `outputId` (string)
  The ID of the output

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Delete output by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-all.

## Responses

#### `200`

Successful response

`application/json`

- `id` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
DELETE /api/fleet/outputs/{outputId}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/fleet/outputs/{outputId}" \
  -H "kbn-xsrf: true"
```

## Response Examples

#### Delete output

The output was successfully deleted

```json
{
  "id": "output-id-1"
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found

No output was found with the given ID

```json
{
  "error": "Not Found",
  "message": "Output output-id-1 not found",
  "statusCode": 404
}
```

